Subject: Re: [PATCH v2 2/2] clk: tests: Add tests for fractional divisor approximation

From: Frank Oltmanns <[email-masked]>
Date: Sat, 17 Jun 2023 18:47:54 +0200

Hi Stephen,

On 2023-06-16 at 12:33:51 -0700, Stephen Boyd <[email-masked]> wrote:
> Quoting Frank Oltmanns (2023-06-14 22:16:17)
>> Hi Stephen,
>>
>> On 2023-06-14 at 13:02:24 -0700, Stephen Boyd <[email-masked]> wrote:
>> > Quoting Frank Oltmanns (2023-06-14 01:19:37)
>> >> Hi,
>> >>
>> >> On 2023-06-13 at 20:48:21 +0800, kernel test robot <[email-masked]> wrote:
>> >> Can someone more knowlegdable than me please confirm if my understanding
>> >> is correct?
>> >
>> > Export the symbol.
>>
>> Ok. I can do that. Please note that I had already submitted a V3 [1],
>> that went the way of using clk_fractional_divider_ops.round_rate. I
>> apologize for not waiting for your feedback prior to submission. It
>> won't happen again.
>>
>> I liked the approach of calling clk_fd_round_rate directly via the ops,
>> because it might allow me to test the other ops as well using the same
>> blueprint. Of course, I will not add test cases, if you don't want it.
>> (Calling clk_fd_round_rate also had the side effect of teaching me, that
>> fd clocks expect the fraction to be less than or equal to 1.)
>>
>> I don't want to waste your time, but if you could maybe have a chance to
>> look at the approach I took in V3 and tell me if you still want me to
>> export the symbol instead, that would be really helpful. I'll follow
>> your preference.
>>
>> If I don't hear back until the weekend, I will treat your three words
>> above as your preference and prepare a V4 that goes back to calling
>> clk_fractional_divider_general_approximation directly.
>>
>
> Just call the API directly. That narrows the test to exactly what we
> want to test. If you export the API it will make the rockchip folks
> happy too[1]. We of course need to make sure that the registration API
> works as well and actually uses the widths that are passed in, but it
> doesn't need to fully exercise the approximation algorithm.
>
> [1] https://lore.kernel.org/r/[email-masked]

I've now submitted V5 [1] of this patchset. Unfortunately, V4 [2] had a
compiler warning on clang that slipped through the cracks. I'm sorry for
the noise.

In my opinion V5 is ready for review and hopefully addresses all your
previous concerns.

Thank you for your patience.

Best regards,
  Frank

[1] https://lore.kernel.org/all/[email-masked]/
[2] https://lore.kernel.org/all/[email-masked]/

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel